Skip to content
Docs

Update a Global Config

PUThttps://api.vercel.com/v1/global-config/{edgeConfigId}
Updates a Global Config.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({
bearerToken: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await vercel.globalConfig.updateEdgeConfig({
edgeConfigId: "<id>",
teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l",
slug: "my-team-url-slug",
requestBody: {
slug: "<value>",
},
});
console.log(result);
}
run();
Response
{
"createdAt": "123",
"createdBy": "string",
"digest": "string",
"id": "icfg_1234567890",
"itemCount": "123",
"ownerId": "example_id",
"sizeInBytes": "123",
"slug": "string",
"updatedAt": "123"
}
AuthorizationbearerToken

Default authentication mechanism

edgeConfigIdstringRequired
teamIdstringOptional
The Team identifier to perform the request on behalf of.
slugstringOptional
The Team slug to perform the request on behalf of.
application/json
slugstringRequired
200Success
createdAtnumberRequired
createdBystringOptional
The ID of the user who created the Global Config, optional because it is not always set.
digeststringRequired
idstringRequired
itemCountnumberRequired
ownerIdstringRequired
sizeInBytesnumberRequired
slugstringRequired
Name for the Global Config Names are not unique. Must start with an alphabetic character and can contain only alphanumeric characters and underscores).
updatedAtnumberRequired
400One of the provided values in the request body is invalid. One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
409Error
410Error